----------------------------------------------------------------------------------
-- Company: UQ School of ITEE
-- Engineer: Ian Clough
-- 
-- Create Date:    14:05:25 03/09/2010 
-- Design Name: 
-- Module Name:    DAC_CTRL - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity DAC_CTRL is
    Port ( SCLK : in  STD_LOGIC;
           CLK : in  STD_LOGIC;
           DONE : in  STD_LOGIC;
           SYNC : in  STD_LOGIC;
           START : out  STD_LOGIC);
end DAC_CTRL;

architecture Behavioral of DAC_CTRL is
signal startdac: std_logic;

begin
-- 	
	dac_start:process(clk)
	begin
	if (clk' event and clk = '1') then
	START <= not(sclk) and (sync xnor done);-- assert START during SCLK low, until data written to DAC
	end if;
	end process;
	

end Behavioral;

