----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    10:25:34 09/12/2011 
-- Design Name: 
-- Module Name:    ADC_Mux - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity ADC_Mux is
    Port ( ADChan1 : in  STD_LOGIC_VECTOR (11 downto 0);
           ADChan2 : in  STD_LOGIC_VECTOR (11 downto 0);
			  Selector: in 	std_logic;
           ADMuxOut : out  STD_LOGIC_VECTOR (11 downto 0));
end ADC_Mux;

architecture Behavioral of ADC_Mux is

begin

Mux : process (Selector,ADChan1,ADChan2)
begin
if (Selector ='0') then
	ADMuxOut <= ADChan1;
	else
	ADMuxOut <= ADChan2;
	end if;
end process Mux;

end Behavioral;

